import { CollectionConfig } from "payload";

export const Books: CollectionConfig = {
  slug: "books",
  admin: {
    useAsTitle: 'title'
  },
  fields: [
    {
      name: "books_id", // This is from the import
      type: "text",
      unique: true,
      admin: {
        placeholder: "This is only for books that have been imported.",
        //readOnly: true,
      }
    },
    {
      name: "title",
      type: "text",
    },
    {
      name: "authors",
      type: "relationship",
      relationTo: "authors",
      hasMany: true,
    },
    {
      name: 'pages',
      type: 'number',
    },
    {
      name: 'lcc',
      type: 'text',
      unique: true,
    },
    {
      name: 'publication',
      type: 'text',
    },
    {
      label: 'Publication Date',
      name: 'date',
      type: 'date',
      admin: {
        date: {
          pickerAppearance: 'dayOnly'
        }
      },
    },
    {
      name: 'genre',
      type: 'relationship',
      relationTo: 'genre',
      hasMany: true,
      admin: {
        allowEdit: true,
        allowCreate: true
      }
    },
    {
      name: 'description',
      type: 'richText'
    },
  ],
}
